Summary: Check DNS Start of Authority records.
Name: check_soa
Version: 1.0
Release: 3
License: Public Domain
Group: Utilities/System
Source: http://www.wsrcc.com/wolfgang/ftp/check_soa.c
Patch: check_soa.solaris.patch
BuildRoot: /tmp/check_soa

%description
Check DNS Start of Authority records.

%changelog
* Sat Feb 20 1999 David Summers <david@summersoft.fay.ar.us> 1.0-3
- Fixed SPEC file for new versions of RPM.

* Sat Feb 20 1999 David Summers <david@summersoft.fay.ar.us> 1.0-2
- Fixes for Solaris.

* Sat Feb 20 1999 David Summers <david@summersoft.fay.ar.us> 1.0-1
- Initial release.
 
%prep
%ifos SunOs
%patch -p0
%endif

%build
mkdir -p $RPM_BUILD_DIR/check_soa
cp $RPM_SOURCE_DIR/check_soa.c $RPM_BUILD_DIR/check_soa
cd $RPM_BUILD_DIR/check_soa
%ifos Linux
gcc -s check_soa.c -o check_soa -lresolv
%else
gcc -s check_soa.c -lresolv -lnsl -o check_soa
%endif

%install
%ifnos Linux
extra=local
%endif
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/$extra/bin
cp $RPM_BUILD_DIR/check_soa/check_soa $RPM_BUILD_ROOT/usr/$extra/bin

%clean
chmod -R +w $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
 
%files
%defattr(-,root,root)
%ifos Linux
/usr/bin/check_soa
%else
/usr/local/bin/check_soa
%endif
